//-----------------------------------------------------------------------------
// Copyright (c) 2012 GarageGames, LLC
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//-----------------------------------------------------------------------------

singleton Material( BlankWhite )
{
   diffuseMap[0] = "levels\NLabs\art\white";
   mapTo = "white";
   materialTag0 = "Miscellaneous";
};

singleton Material( Floor )
{
   mapTo = "Floor";
   diffuseMap[0] = "levels/NLabs/art/defaultnouvs.dds";
   translucentBlendOp = "None";
   materialTag0 = "TestMaterial";
};

singleton Material(CMTower)
{
   mapTo = "CMTower";
   diffuseMap[0] = "levels/NLabs/art/CMTowerTEXT.png";
   translucentBlendOp = "None";
   materialTag0 = "TestMaterial";
};

singleton Material(CMBox)
{
   mapTo = "CMBox";
   diffuseMap[0] = "levels/NLabs/art/CMBox_TEXT.png";
   translucentBlendOp = "None";
   materialTag0 = "TestMaterial";
};

singleton Material(CMWall)
{
   mapTo = "CMWall";
   diffuseMap[0] = "levels/NLabs/art/CMWall_TEXT.png";
   translucentBlendOp = "None";
   materialTag0 = "TestMaterial";
};

singleton Material(CMRing)
{
   mapTo = "CMRing";
   diffuseMap[0] = "levels/NLabs/art/CMRing_TEXT.png";
   translucentBlendOp = "None";
   materialTag0 = "TestMaterial";
};

singleton Material(CMGarage)
{
   mapTo = "CMGarage";
   diffuseMap[0] = "levels/NLabs/art/CMRamp_TEXT.png";
   translucentBlendOp = "None";
   materialTag0 = "TestMaterial";
};

singleton Material(CMGarage2)
{
   mapTo = "CMGarage2";
   diffuseMap[0] = "levels/NLabs/art/CMGarage.png";
   translucentBlendOp = "None";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   materialTag0 = "TestMaterial";
};


singleton Material(CMTower2)
{
   mapTo = "CMTower2";
   diffuseMap[0] = "levels/NLabs/art/CMTowerTEXT.png";
   translucentBlendOp = "None";
   materialTag0 = "TestMaterial";
};
